
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef STEREOPIXEL_PRINT_H
#define STEREOPIXEL_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/viamPrint.h"

#include "server/pomPrint.h"


#include "stereopixelPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *out,
     struct STEREOPIXEL_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *out,
     struct STEREOPIXEL_DISPARITY_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_STEREOPIXEL_STR ( FILE *out,
     struct STEREOPIXEL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixCorrelationResult ( FILE *out,
     struct SpixCorrelationResult *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixSaveParams ( FILE *out,
     struct SpixSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_SpixFrameCoord ( FILE *out,
     enum SpixFrameCoord *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixBlobFilter ( FILE *out,
     struct SpixBlobFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixCorrelParams ( FILE *out,
     struct SpixCorrelParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_SpixInterpolationType ( FILE *out,
     enum SpixInterpolationType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_SpixCorrelType ( FILE *out,
     enum SpixCorrelType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixName ( FILE *out,
     struct SpixName *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_Spix3DImage ( FILE *out,
     struct Spix3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_Spix3DPixel ( FILE *out,
     struct Spix3DPixel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SpixDisparity ( FILE *out,
     struct SpixDisparity *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_SpixDisparity ( FILE *out,
     SpixDisparity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_Spix3DPixel ( FILE *out,
     Spix3DPixel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_Spix3DImage ( FILE *out,
     Spix3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixName ( FILE *out,
     SpixName *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixCorrelType ( FILE *out,
     SpixCorrelType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixInterpolationType ( FILE *out,
     SpixInterpolationType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixCorrelParams ( FILE *out,
     SpixCorrelParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixBlobFilter ( FILE *out,
     SpixBlobFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixFrameCoord ( FILE *out,
     SpixFrameCoord *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixSaveParams ( FILE *out,
     SpixSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SpixCorrelationResult ( FILE *out,
     SpixCorrelationResult *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_STEREOPIXEL_STR ( FILE *out,
     STEREOPIXEL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *out,
     STEREOPIXEL_DISPARITY_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *out,
     STEREOPIXEL_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* STEREOPIXEL_PRINT_H */

