
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef STEREOPIXEL_SCAN_H
#define STEREOPIXEL_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/viamScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "stereopixelPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       struct STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *in, FILE *out,
       struct STEREOPIXEL_DISPARITY_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_STEREOPIXEL_STR ( FILE *in, FILE *out,
       struct STEREOPIXEL_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixCorrelationResult ( FILE *in, FILE *out,
       struct SpixCorrelationResult *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixSaveParams ( FILE *in, FILE *out,
       struct SpixSaveParams *x, int indent, int nDim, int *dims );
extern int scan_enum_SpixFrameCoord ( FILE *in, FILE *out,
       enum SpixFrameCoord *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixBlobFilter ( FILE *in, FILE *out,
       struct SpixBlobFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixCorrelParams ( FILE *in, FILE *out,
       struct SpixCorrelParams *x, int indent, int nDim, int *dims );
extern int scan_enum_SpixInterpolationType ( FILE *in, FILE *out,
       enum SpixInterpolationType *x, int indent, int nDim, int *dims );
extern int scan_enum_SpixCorrelType ( FILE *in, FILE *out,
       enum SpixCorrelType *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixName ( FILE *in, FILE *out,
       struct SpixName *x, int indent, int nDim, int *dims );
extern int scan_struct_Spix3DImage ( FILE *in, FILE *out,
       struct Spix3DImage *x, int indent, int nDim, int *dims );
extern int scan_struct_Spix3DPixel ( FILE *in, FILE *out,
       struct Spix3DPixel *x, int indent, int nDim, int *dims );
extern int scan_struct_SpixDisparity ( FILE *in, FILE *out,
       struct SpixDisparity *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_SpixDisparity ( FILE *in, FILE *out,
       SpixDisparity *x, int indent, int nDim, int *dims );
extern int scan_Spix3DPixel ( FILE *in, FILE *out,
       Spix3DPixel *x, int indent, int nDim, int *dims );
extern int scan_Spix3DImage ( FILE *in, FILE *out,
       Spix3DImage *x, int indent, int nDim, int *dims );
extern int scan_SpixName ( FILE *in, FILE *out,
       SpixName *x, int indent, int nDim, int *dims );
extern int scan_SpixCorrelType ( FILE *in, FILE *out,
       SpixCorrelType *x, int indent, int nDim, int *dims );
extern int scan_SpixInterpolationType ( FILE *in, FILE *out,
       SpixInterpolationType *x, int indent, int nDim, int *dims );
extern int scan_SpixCorrelParams ( FILE *in, FILE *out,
       SpixCorrelParams *x, int indent, int nDim, int *dims );
extern int scan_SpixBlobFilter ( FILE *in, FILE *out,
       SpixBlobFilter *x, int indent, int nDim, int *dims );
extern int scan_SpixFrameCoord ( FILE *in, FILE *out,
       SpixFrameCoord *x, int indent, int nDim, int *dims );
extern int scan_SpixSaveParams ( FILE *in, FILE *out,
       SpixSaveParams *x, int indent, int nDim, int *dims );
extern int scan_SpixCorrelationResult ( FILE *in, FILE *out,
       SpixCorrelationResult *x, int indent, int nDim, int *dims );
extern int scan_STEREOPIXEL_STR ( FILE *in, FILE *out,
       STEREOPIXEL_STR *x, int indent, int nDim, int *dims );
extern int scan_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *in, FILE *out,
       STEREOPIXEL_DISPARITY_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* STEREOPIXEL_SCAN_H */

