
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef STEREOPIXEL_SCAN_H
#define STEREOPIXEL_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/viamTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/stereopixelPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_STEREOPIXEL_THREEDIMAGE_POSTER_STR (char** buf, struct STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_STEREOPIXEL_DISPARITY_POSTER_STR (char** buf, struct STEREOPIXEL_DISPARITY_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_STEREOPIXEL_STR (char** buf, struct STEREOPIXEL_STR *x, int nDim, int *dims );
int scan_buf_struct_SpixCorrelationResult (char** buf, struct SpixCorrelationResult *x, int nDim, int *dims );
int scan_buf_struct_SpixSaveParams (char** buf, struct SpixSaveParams *x, int nDim, int *dims );
int scan_buf_enum_SpixFrameCoord (char** buf, enum SpixFrameCoord *x, int nDim, int *dims );
int scan_buf_struct_SpixBlobFilter (char** buf, struct SpixBlobFilter *x, int nDim, int *dims );
int scan_buf_struct_SpixCorrelParams (char** buf, struct SpixCorrelParams *x, int nDim, int *dims );
int scan_buf_enum_SpixInterpolationType (char** buf, enum SpixInterpolationType *x, int nDim, int *dims );
int scan_buf_enum_SpixCorrelType (char** buf, enum SpixCorrelType *x, int nDim, int *dims );
int scan_buf_struct_SpixName (char** buf, struct SpixName *x, int nDim, int *dims );
int scan_buf_struct_Spix3DImage (char** buf, struct Spix3DImage *x, int nDim, int *dims );
int scan_buf_struct_Spix3DPixel (char** buf, struct Spix3DPixel *x, int nDim, int *dims );
int scan_buf_struct_SpixDisparity (char** buf, struct SpixDisparity *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_SpixDisparity (char** buf, SpixDisparity *x, int nDim, int *dims );
int scan_buf_Spix3DPixel (char** buf, Spix3DPixel *x, int nDim, int *dims );
int scan_buf_Spix3DImage (char** buf, Spix3DImage *x, int nDim, int *dims );
int scan_buf_SpixName (char** buf, SpixName *x, int nDim, int *dims );
int scan_buf_SpixCorrelType (char** buf, SpixCorrelType *x, int nDim, int *dims );
int scan_buf_SpixInterpolationType (char** buf, SpixInterpolationType *x, int nDim, int *dims );
int scan_buf_SpixCorrelParams (char** buf, SpixCorrelParams *x, int nDim, int *dims );
int scan_buf_SpixBlobFilter (char** buf, SpixBlobFilter *x, int nDim, int *dims );
int scan_buf_SpixFrameCoord (char** buf, SpixFrameCoord *x, int nDim, int *dims );
int scan_buf_SpixSaveParams (char** buf, SpixSaveParams *x, int nDim, int *dims );
int scan_buf_SpixCorrelationResult (char** buf, SpixCorrelationResult *x, int nDim, int *dims );
int scan_buf_STEREOPIXEL_STR (char** buf, STEREOPIXEL_STR *x, int nDim, int *dims );
int scan_buf_STEREOPIXEL_DISPARITY_POSTER_STR (char** buf, STEREOPIXEL_DISPARITY_POSTER_STR *x, int nDim, int *dims );
int scan_buf_STEREOPIXEL_THREEDIMAGE_POSTER_STR (char** buf, STEREOPIXEL_THREEDIMAGE_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* STEREOPIXEL_SCAN_H */

