
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef stereopixel_TCLSERV_CLIENT_MSG_LIB_H
#define stereopixel_TCLSERV_CLIENT_MSG_LIB_H

#include <server/stereopixelType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int stereopixelTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int stereopixelTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int stereopixelTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SpixName *(in_name) 
		);

int stereopixelTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SpixName *(in_name) ,
				
				int *bilan);

int stereopixelTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SpixName *(in_name) ,
					
					int *bilan);




int stereopixelTclservClientGetCorrelationParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int stereopixelTclservClientGetCorrelationParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SpixCorrelParams *(out_correlParams),
			       int *bilan);

int stereopixelTclservClientGetCorrelationParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SpixCorrelParams *(out_correlParams),
				 int *bilan);




int stereopixelTclservClientSetCorrelationParamsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SpixCorrelParams *(in_correlParams) 
		);

int stereopixelTclservClientSetCorrelationParamsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientSetCorrelationParamsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SpixCorrelParams *(in_correlParams) ,
				
				int *bilan);

int stereopixelTclservClientSetCorrelationParamsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SpixCorrelParams *(in_correlParams) ,
					
					int *bilan);




int stereopixelTclservClientGetBlobFilterParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int stereopixelTclservClientGetBlobFilterParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SpixBlobFilter *(out_blobFilter),
			       int *bilan);

int stereopixelTclservClientGetBlobFilterParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SpixBlobFilter *(out_blobFilter),
				 int *bilan);




int stereopixelTclservClientSetBlobFilterParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SpixBlobFilter *(in_blobFilter)
		);

int stereopixelTclservClientSetBlobFilterParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int stereopixelTclservClientSetBlobFilterParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SpixBlobFilter *(in_blobFilter) ,
				 
				 int *bilan);




int stereopixelTclservClientComputeRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int stereopixelTclservClientComputeReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      SpixCorrelationResult *(out_correlResult),
			      int *bilan);


int stereopixelTclservClientComputeRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				SpixCorrelationResult *(out_correlResult),
				int *bilan);

int stereopixelTclservClientComputeRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					SpixCorrelationResult *(out_correlResult),
					int *bilan);




int stereopixelTclservClientGetFrameCoordRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int stereopixelTclservClientGetFrameCoordReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SpixFrameCoord *(out_frameCoord),
			       int *bilan);

int stereopixelTclservClientGetFrameCoordRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SpixFrameCoord *(out_frameCoord),
				 int *bilan);




int stereopixelTclservClientSetFrameCoordRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SpixFrameCoord *(in_frameCoord)
		);

int stereopixelTclservClientSetFrameCoordReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int stereopixelTclservClientSetFrameCoordRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SpixFrameCoord *(in_frameCoord) ,
				 
				 int *bilan);




int stereopixelTclservClientSetSaveParamsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SpixSaveParams *(in_saveParams) 
		);

int stereopixelTclservClientSetSaveParamsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientSetSaveParamsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SpixSaveParams *(in_saveParams) ,
				
				int *bilan);

int stereopixelTclservClientSetSaveParamsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SpixSaveParams *(in_saveParams) ,
					
					int *bilan);




int stereopixelTclservClientGetSaveParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int stereopixelTclservClientGetSaveParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SpixSaveParams *(out_saveParams),
			       int *bilan);

int stereopixelTclservClientGetSaveParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SpixSaveParams *(out_saveParams),
				 int *bilan);




int stereopixelTclservClientSaveDisparityRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int stereopixelTclservClientSaveDisparityReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientSaveDisparityRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int stereopixelTclservClientSaveDisparityRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int stereopixelTclservClientCVDumpDisparityRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SpixName *(in_cvDisparityFile) 
		);

int stereopixelTclservClientCVDumpDisparityReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientCVDumpDisparityRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SpixName *(in_cvDisparityFile) ,
				
				int *bilan);

int stereopixelTclservClientCVDumpDisparityRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SpixName *(in_cvDisparityFile) ,
					
					int *bilan);




int stereopixelTclservClientSave3DImageRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int stereopixelTclservClientSave3DImageReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int stereopixelTclservClientSave3DImageRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int stereopixelTclservClientSave3DImageRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* stereopixelTCLSERV_CLIENT_MSG_LIB_H */

