
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] stereopixelInstall] >= 0 } {
    interp expose {} stereopixelInstall
}

proc ::stereopixelInstall { name } {
    foreach rqst { "Init" "GetCorrelationParams" "SetCorrelationParams" "GetBlobFilterParams" "SetBlobFilterParams" "Compute" "GetFrameCoord" "SetFrameCoord" "SetSaveParams" "GetSaveParams" "SaveDisparity" "CVDumpDisparity" "Save3DImage" "DisparityDisparityPosterRead" "ThreeDImageImagePosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} stereopixel$rqst $name
    }
}

interp hide {} stereopixelInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelInit] >= 0 } {
    interp expose {} stereopixelInit
}
if { [lsearch [interp hidden] stereopixelInitFormatOutput] >= 0 } {
    interp expose {} stereopixelInitFormatOutput
}

proc ::stereopixelInit { name args } {
    set format {}
    lappend format [list string "Bank name" "" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"** undocumented **" \
	"SpixName\n| char id\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::stereopixelInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelInit
interp hide {} stereopixelInitFormatOutput





# GetCorrelationParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelGetCorrelationParams] >= 0 } {
    interp expose {} stereopixelGetCorrelationParams
}
if { [lsearch [interp hidden] stereopixelGetCorrelationParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelGetCorrelationParamsFormatOutput
}

proc ::stereopixelGetCorrelationParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetCorrelationParams" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelGetCorrelationParamsFormatOutput { list } {
    set format { {} status { } { correlParams { } win_nb_lig { } win_nb_col { } disp_min { } disp_max { } correlType { } interpolationType { } var_th { } score_th { } diff_neighbor_max_th { } inv_th { } threads } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelGetCorrelationParams
interp hide {} stereopixelGetCorrelationParamsFormatOutput





# SetCorrelationParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSetCorrelationParams] >= 0 } {
    interp expose {} stereopixelSetCorrelationParams
}
if { [lsearch [interp hidden] stereopixelSetCorrelationParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelSetCorrelationParamsFormatOutput
}

proc ::stereopixelSetCorrelationParams { name args } {
    set format {}
    lappend format [list int "Height of correlation window" 9 ]
    lappend format [list int "Width of correlation window" 9 ]
    lappend format [list int "Disparity min" -240 ]
    lappend format [list int "Disparity max" 0 ]
    lappend format [list { "SPIXCT_CENSUS_SIGMA" "SPIXCT_CENSUS" "SPIXCT_ZNCC_SIGMA" "SPIXCT_ZNCC" } "Correlation type" "SPIXCT_ZNCC" ]
    lappend format [list { "SPIXIT_BOTH_INTERPOLATIONS" "SPIXIT_BILINEAR_INTERPOLATION" "SPIXIT_PARABOLIC_INTERPOLATION" "SPIXIT_NO_INTERPOLATION" } "Disparity interpolation type" "SPIXIT_PARABOLIC_INTERPOLATION" ]
    lappend format [list double "Threshold on std dev" 1.000000 ]
    lappend format [list double "Threshold on max score" 0.000000 ]
    lappend format [list double "Threshold on sharpness" 0.000000 ]
    lappend format [list int "Inverse correlation" 1 ]
    lappend format [list int "Number of worker threads" 1 ]

    return [ ::cs::rqstSend "${name}" "SetCorrelationParams" \
	"** undocumented **" \
	"SpixCorrelParams\n| int win_nb_lig\n| int win_nb_col\n| int disp_min\n| int disp_max\n| SpixCorrelType correlType\n| SpixInterpolationType interpolationType\n| double var_th\n| double score_th\n| double diff_neighbor_max_th\n| int inv_th\n| int threads\n" \
	11 \
	$format \
	$args ]
}


proc ::stereopixelSetCorrelationParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSetCorrelationParams
interp hide {} stereopixelSetCorrelationParamsFormatOutput





# GetBlobFilterParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelGetBlobFilterParams] >= 0 } {
    interp expose {} stereopixelGetBlobFilterParams
}
if { [lsearch [interp hidden] stereopixelGetBlobFilterParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelGetBlobFilterParamsFormatOutput
}

proc ::stereopixelGetBlobFilterParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetBlobFilterParams" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelGetBlobFilterParamsFormatOutput { list } {
    set format { {} status { } { blobFilter { } enableBlobFilter { } sizeMin { } diffMax } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelGetBlobFilterParams
interp hide {} stereopixelGetBlobFilterParamsFormatOutput





# SetBlobFilterParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSetBlobFilterParams] >= 0 } {
    interp expose {} stereopixelSetBlobFilterParams
}
if { [lsearch [interp hidden] stereopixelSetBlobFilterParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelSetBlobFilterParamsFormatOutput
}

proc ::stereopixelSetBlobFilterParams { name args } {
    set format {}
    lappend format [list int "Enable blob filter" 1 ]
    lappend format [list int "Min size of regions" 500 ]
    lappend format [list float "Max diff between regions" 1.000000 ]

    return [ ::cs::rqstSend "${name}" "SetBlobFilterParams" \
	"** undocumented **" \
	"SpixBlobFilter\n| int enableBlobFilter\n| int sizeMin\n| float diffMax\n" \
	3 \
	$format \
	$args ]
}


proc ::stereopixelSetBlobFilterParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSetBlobFilterParams
interp hide {} stereopixelSetBlobFilterParamsFormatOutput





# Compute ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelCompute] >= 0 } {
    interp expose {} stereopixelCompute
}
if { [lsearch [interp hidden] stereopixelComputeFormatOutput] >= 0 } {
    interp expose {} stereopixelComputeFormatOutput
}

proc ::stereopixelCompute { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Compute" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelComputeFormatOutput { list } {
    set format { {} status { } { correlResult { } nbPoints { } nbRemovedByUnicity { } nbRemovedByBlob { } nbCorrelated } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelCompute
interp hide {} stereopixelComputeFormatOutput





# GetFrameCoord ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelGetFrameCoord] >= 0 } {
    interp expose {} stereopixelGetFrameCoord
}
if { [lsearch [interp hidden] stereopixelGetFrameCoordFormatOutput] >= 0 } {
    interp expose {} stereopixelGetFrameCoordFormatOutput
}

proc ::stereopixelGetFrameCoord { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetFrameCoord" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelGetFrameCoordFormatOutput { list } {
    set format { {} status { } frameCoord }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelGetFrameCoord
interp hide {} stereopixelGetFrameCoordFormatOutput





# SetFrameCoord ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSetFrameCoord] >= 0 } {
    interp expose {} stereopixelSetFrameCoord
}
if { [lsearch [interp hidden] stereopixelSetFrameCoordFormatOutput] >= 0 } {
    interp expose {} stereopixelSetFrameCoordFormatOutput
}

proc ::stereopixelSetFrameCoord { name args } {
    set format {}
    lappend format [list { "SPIX_LEFT_CAMERA_FRAME" "SPIX_RECTIFIED_FRAME" } "Frame in which image is computed" "SPIX_RECTIFIED_FRAME" ]

    return [ ::cs::rqstSend "${name}" "SetFrameCoord" \
	"** undocumented **" \
	"SpixFrameCoord frameCoord\n" \
	1 \
	$format \
	$args ]
}


proc ::stereopixelSetFrameCoordFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSetFrameCoord
interp hide {} stereopixelSetFrameCoordFormatOutput





# SetSaveParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSetSaveParams] >= 0 } {
    interp expose {} stereopixelSetSaveParams
}
if { [lsearch [interp hidden] stereopixelSetSaveParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelSetSaveParamsFormatOutput
}

proc ::stereopixelSetSaveParams { name args } {
    set format {}
    lappend format [list string "Directory" "." ]
    lappend format [list int "Disparity number (auto-incremented)" 0 ]
    lappend format [list int "openCV Disparity number (auto-incremented)" 0 ]
    lappend format [list int "3D Image number (auto-incremented)" 0 ]
    lappend format [list int "unused" 0 ]

    return [ ::cs::rqstSend "${name}" "SetSaveParams" \
	"** undocumented **" \
	"SpixSaveParams\n| char baseName\[256\]\n| int numDisp\n| int numDispCV\n| int num3D\n| int unused\n" \
	5 \
	$format \
	$args ]
}


proc ::stereopixelSetSaveParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSetSaveParams
interp hide {} stereopixelSetSaveParamsFormatOutput





# GetSaveParams ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelGetSaveParams] >= 0 } {
    interp expose {} stereopixelGetSaveParams
}
if { [lsearch [interp hidden] stereopixelGetSaveParamsFormatOutput] >= 0 } {
    interp expose {} stereopixelGetSaveParamsFormatOutput
}

proc ::stereopixelGetSaveParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetSaveParams" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelGetSaveParamsFormatOutput { list } {
    set format { {} status { } { saveParams { } baseName { } numDisp { } numDispCV { } num3D { } unused } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelGetSaveParams
interp hide {} stereopixelGetSaveParamsFormatOutput





# SaveDisparity ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSaveDisparity] >= 0 } {
    interp expose {} stereopixelSaveDisparity
}
if { [lsearch [interp hidden] stereopixelSaveDisparityFormatOutput] >= 0 } {
    interp expose {} stereopixelSaveDisparityFormatOutput
}

proc ::stereopixelSaveDisparity { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "SaveDisparity" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelSaveDisparityFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSaveDisparity
interp hide {} stereopixelSaveDisparityFormatOutput





# CVDumpDisparity ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelCVDumpDisparity] >= 0 } {
    interp expose {} stereopixelCVDumpDisparity
}
if { [lsearch [interp hidden] stereopixelCVDumpDisparityFormatOutput] >= 0 } {
    interp expose {} stereopixelCVDumpDisparityFormatOutput
}

proc ::stereopixelCVDumpDisparity { name args } {
    set format {}
    lappend format [list string "fileName" "disparity" ]

    return [ ::cs::rqstSend "${name}" "CVDumpDisparity" \
	"** undocumented **" \
	"SpixName\n| char id\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::stereopixelCVDumpDisparityFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelCVDumpDisparity
interp hide {} stereopixelCVDumpDisparityFormatOutput





# Save3DImage ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelSave3DImage] >= 0 } {
    interp expose {} stereopixelSave3DImage
}
if { [lsearch [interp hidden] stereopixelSave3DImageFormatOutput] >= 0 } {
    interp expose {} stereopixelSave3DImageFormatOutput
}

proc ::stereopixelSave3DImage { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Save3DImage" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::stereopixelSave3DImageFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelSave3DImage
interp hide {} stereopixelSave3DImageFormatOutput





# DisparityDisparity ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelDisparityDisparityPosterRead] >= 0 } {
    interp expose {} stereopixelDisparityDisparityPosterRead
}
if { [lsearch [interp hidden] stereopixelDisparityDisparityPosterFormatOutput] >= 0 } {
    interp expose {} stereopixelDisparityDisparityPosterFormatOutput
}

proc ::stereopixelDisparityDisparityPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "DisparityDisparity" \
	"SpixDisparity\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| int width\n| int height\n| float pixel\[1\]\n" \
	$args ]
}


proc ::stereopixelDisparityDisparityPosterFormatOutput { list } {
    set format { {} status { } { Disparity { } { imageLeftPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } { } { imageRightPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } { } width { } height { 1 } pixel } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelDisparityDisparityPosterRead
interp hide {} stereopixelDisparityDisparityPosterFormatOutput





# ThreeDImageImage ----------------------------------------------------------

if { [lsearch [interp hidden] stereopixelThreeDImageImagePosterRead] >= 0 } {
    interp expose {} stereopixelThreeDImageImagePosterRead
}
if { [lsearch [interp hidden] stereopixelThreeDImageImagePosterFormatOutput] >= 0 } {
    interp expose {} stereopixelThreeDImageImagePosterFormatOutput
}

proc ::stereopixelThreeDImageImagePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ThreeDImageImage" \
	"Spix3DImage\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| unsigned long int imageTicks\n| double intrinseque_rectified\[9\]\n| int width\n| int height\n| Spix3DPixel\n| | int good\n| | float x\n| | float y\n| | float z\n| | float sigma\n" \
	$args ]
}


proc ::stereopixelThreeDImageImagePosterFormatOutput { list } {
    set format { {} status { } { Image { } { imageLeftPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } { } { imageRightPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } { } imageTicks { 9 } intrinseque_rectified { } width { } height { 1 } { pixel { } good { } x { } y { } z { } sigma } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} stereopixelThreeDImageImagePosterRead
interp hide {} stereopixelThreeDImageImagePosterFormatOutput


